﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Windows.DataPresenter;

namespace xamDataGridFields
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        private DataTable t1 = new DataTable();
        private DataTable t2 = new DataTable();

        public MainWindow()
        {
            InitializeComponent();

            t1.Columns.Add("RecordClass", System.Type.GetType("System.String"));
            t1.Columns.Add("KeyValue", System.Type.GetType("System.String"));
            t1.Columns.Add("DataValue", System.Type.GetType("System.String"));

            t1.Columns.Add("Dynamic1", System.Type.GetType("System.String"));
            t1.Columns.Add("Dynamic2", System.Type.GetType("System.String"));

            DataRow r = t1.NewRow();
            r["RecordClass"] = "Class";
            r["KeyValue"] = "Value1";
            r["DataValue"] = "Data1";
            r["Dynamic1"] = "Dynamic1";
            r["Dynamic2"] = "Dynamic2";

            t1.Rows.Add(r);


            t2.Columns.Add("RecordClass", System.Type.GetType("System.String"));
            t2.Columns.Add("KeyValue", System.Type.GetType("System.String"));
            t2.Columns.Add("DataValue", System.Type.GetType("System.String"));

            t2.Columns.Add("Dynamic1", System.Type.GetType("System.String"));
            t2.Columns.Add("Dynamic2", System.Type.GetType("System.String"));
            t2.Columns.Add("Dynamic3", System.Type.GetType("System.String"));

            DataRow r1 = t2.NewRow();
            r1["RecordClass"] = "Class";
            r1["KeyValue"] = "Value1";
            r1["DataValue"] = "Data1";
            r1["Dynamic1"] = "Dynamic1";
            r1["Dynamic2"] = "Dynamic2";
            r1["Dynamic3"] = "Dynamic3";

            t2.Rows.Add(r1);


        }

        private void test1_Click(object sender, RoutedEventArgs e)
        {
            xamDataGrid1.FieldLayouts.Clear();
            FieldLayout fl = new FieldLayout();
            fl.Fields.Add(new Field() { Name = "RecordClass", Visibility = System.Windows.Visibility.Collapsed });
            fl.Fields.Add(new Field() { Name = "KeyValue", Label = "Key", Width = new FieldLength(0, FieldLengthUnitType.Auto) });
            fl.Fields.Add(new Field() { Name = "DataValue", Label = "Data", Width = new FieldLength(0, FieldLengthUnitType.Auto) });
            xamDataGrid1.FieldLayouts.Add(fl);
            xamDataGrid1.DataSource = t1.AsDataView();
        }

        private void test2_Click(object sender, RoutedEventArgs e)
        {
            xamDataGrid1.FieldLayouts.Clear();
            FieldLayout fl = new FieldLayout();
            fl.Fields.Add(new Field() { Name = "RecordClass", Visibility = System.Windows.Visibility.Collapsed });
            fl.Fields.Add(new Field() { Name = "KeyValue", Label = "Key", Width = new FieldLength(0, FieldLengthUnitType.Auto) });
            fl.Fields.Add(new Field() { Name = "DataValue", Label = "Data", Width = new FieldLength(0, FieldLengthUnitType.Auto) });
            xamDataGrid1.FieldLayouts.Add(fl);
            xamDataGrid1.DataSource = t2.AsDataView();
        }

    }
}
